This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178903 - Review Request: ikvm
Review Request: ikvm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
David Lawrence
:
: 178902 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-25 06:12 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 05:13:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Spec diff (2.20 KB, patch)
2006-03-06 16:55 EST, Michel Alexandre Salim
no flags Details | Diff
Complete updated spec file (2.38 KB, application/octet-stream)
2006-03-06 16:55 EST, Michel Alexandre Salim
no flags Details
Patch file for ikvm launch scripts (996 bytes, patch)
2006-03-06 16:56 EST, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-01-25 06:12:40 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm-0.22-2.src.rpm
Description: This package provides IKVM.NET, an open source Java compatibility layer for Mono, which includes a Virtual Machine, a bytecode compiler, and various class libraries for Java, as well as tools for Java and Mono interoperability.
Comment 1 Paul F. Johnson 2006-01-25 06:18:32 EST
*** Bug 178902 has been marked as a duplicate of this bug. ***
Comment 2 Paul F. Johnson 2006-01-26 06:05:01 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm-0.22-3.src.rpm

Changelog

Fixed to correctly include IKVM.GNU.Classpath
Comment 3 Rowan Kerr 2006-02-03 18:31:54 EST
Builds and installs OK. (On fc5t2 upgraded to today's rawhide).
Comment 4 Michel Alexandre Salim 2006-03-05 03:31:24 EST
The summary seems to refer to MonoDevelop: "A full-featured IDE for Mono and Gtk
sharp" ?
Comment 5 Michel Alexandre Salim 2006-03-06 16:55:17 EST
Created attachment 125726 [details]
Spec diff

Fixed spec file
Comment 6 Michel Alexandre Salim 2006-03-06 16:55:59 EST
Created attachment 125727 [details]
Complete updated spec file
Comment 7 Michel Alexandre Salim 2006-03-06 16:56:57 EST
Created attachment 125728 [details]
Patch file for ikvm launch scripts

Patches script files to use the proper libdir for the architecture
Comment 8 Michel Alexandre Salim 2006-03-06 16:59:40 EST
I've uploaded some changes to the spec file. Do you know if upstream plans to
release 0.24.0.1 with Unix-style build scripts? Might be worth upgrading if so.

Otherwise, I'll do a full review once you've checked the changes.

- Michel
Comment 9 Paul F. Johnson 2006-03-06 17:06:54 EST
Thanks. Currently, the plan is to update to 0.24 *sometime* in March, but no
date as yet. I'll commit the patches, rebuild, upload and reply here.
Comment 10 Paul F. Johnson 2006-03-06 17:12:44 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/ikvm-0.22-4.src.rpm
Comment 11 Michel Alexandre Salim 2006-03-08 11:05:41 EST
Package review:
* rpmlint: clean
* Package name, specfile, license meet guidelines. License files included
* Packaging legible, spec in American English
* Source matches upstream
* Package successfully compiles on x86_64 (Paul's tried i386, I believe?)
* Build dependencies OK
* Package owns its directories
* No duplicate files

Tested on simple Java programs and worked OK.

APPROVED
Comment 12 Paul F. Johnson 2006-03-08 11:07:59 EST
Tried on both x86 and x86_64 prior to submission
Comment 13 Christian Iseli 2006-04-08 16:52:38 EDT
Please add the package in owners.list

Note You need to log in before you can comment on or make changes to this bug.